%define	soxlib	st
%define	major	3
%define	libname	%mklibname %{soxlib} %{major}

Summary:	A general purpose sound file conversion tool
Name:		sox
Version:	14.4.2
Release:	%mkrel 1
License: 	LGPL
Group:		Sound
Url:		http://sox.sourceforge.net/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/sox/%{name}-%{version}.tar.xz
Patch1:		sox-14.4.2-do_not_hide_private_symbols.patch
BuildRequires:	oggvorbis-devel mad-devel gsm-devel ffmpeg-devel libsndfile-devel
BuildRequires:	lame-devel libwavpack-devel ladspa-devel libmagic-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	libst0

%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.

Install the sox package if you'd like to convert sound file formats
or manipulate some sounds.

%package devel
Summary:	Development headers and libraries for sox
Group:		Development/Libraries
Provides:	lib%{soxlib}-devel = %{version}-%{release}
Provides:	%{soxlib}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Requires:	%{name} = %{version}
Requires:	libpulseaudio-devel >= 2.0
Provides:	%mklibname sox 0 -d
Obsoletes:	%mklibname st 0 -d

%description devel
Development headers and libraries for sox.

%prep
%setup -q -n %{name}-%{version}
%apply_patches



%build
autoreconf -fi
CFLAGS="%{optflags} -DHAVE_SYS_SOUNDCARD_H=1 -D_FILE_OFFSET_BITS=64 -fPIC -DPIC" \
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

ln -sf play %{buildroot}%{_bindir}/rec

cat << EOF > %{buildroot}%{_bindir}/soxplay
#!/bin/sh

%{_bindir}/sox \$1 -t .au - > /dev/audio

EOF
chmod 755 %{buildroot}%{_bindir}/soxplay

ln -snf play %{buildroot}%{_bindir}/rec
ln -s play.1%{_extension} %{buildroot}%{_mandir}/man1/rec.1%{_extension}

rm -rf %{buildroot}%{_libdir}/*.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README NEWS AUTHORS
%{_bindir}/sox*
%{_bindir}/play
%{_bindir}/rec
%{_mandir}
%{_libdir}/libsox.so.%{major}*

%files devel
%defattr(-,root,root)
%{_libdir}/libsox.a
%{_libdir}/libsox.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Jun 09 2018 adrianomorselli <adrianomorselli> 14.4.2-1uplos2018
- update
